# $Revision: 1.8 $, $Date: 2002/08/29 09:07:29 $
Summary:	ParaGUI - A complete GUI/Windowing system for SDL
Summary(pl):	ParaGUI - kompletne rodowisko okienkowe dla SDL
Name:		paragui
Version:	1.0.2
Release:	3
License:	LGPL
Group:		X11/Libraries
Source0:	ftp://ftp.bms-austria.com/pub/paragui/release/%{name}-%{version}.tar.gz
Patch0:		%{name}-am.patch
Patch1:		%{name}-64bit-workaround.patch
URL:		http://www.paragui.org/
BuildRequires:	SDL_image-devel >= 1.2.0
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	expat-devel
BuildRequires:	freetype-devel
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6

%description
This library is a complete GUI/Windowing system for SDL.

%description -l pl
Kompletne rodowisko okienkowe dla SDL.

%package devel
Summary:	Includes and more to develop SDL GUI applications
Summary(pl):	Pliki nagwkowe dla ParaGUI
Group:          X11/Development/Libraries
Requires:       %{name} = %{version}

%description devel
Header files for ParaGUI library - a complete GUI/Windowing system for
SDL.

%description devel -l pl
Pliki nagwkowe dla ParaGUI.

%package static
Summary:	Static paragui library
Summary(pl):	Statyczna biblioteka paragui
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
Static version of paragui library.

%description static -l pl
Statyczna wersja biblioteki paragui.

%prep
%setup -q
%patch0 -p1
%ifarch alpha
%patch1 -p1
%endif

%build
rm -f missing
%{__libtoolize}
aclocal
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	pkgconfigdir=%{_pkgconfigdir} \
	m4datadir=%{_aclocaldir}

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README-ParaGUI.txt AUTHORS TODO README 
%{_libdir}/lib*.so.*
%{_datadir}/paragui

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*-config
%attr(755,root,root) %{_libdir}/lib*.so
%attr(755,root,root) %{_libdir}/lib*.la
%{_includedir}/*
%{_aclocaldir}/*
%{_pkgconfigdir}/*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: paragui.spec,v $
Revision 1.8  2002/08/29 09:07:29  qboosh
- added workaround to allow built on 64-bit archs (gcc 2.95-specific?)
- added -static package, fixed -devel pl descr, BR: expat-devel
- release 3

Revision 1.7  2002/08/26 17:55:26  kloczek
- install pkgconfig and aclocal files in proper path.

Revision 1.6  2002/07/29 07:56:05  qboosh
- prefix=/usr/X11R6, removed %%{_includedir} dir from package
- cosmetics, release 2

Revision 1.5  2002/07/27 11:18:29  kloczek
- cosmetics.

Revision 1.4  2002/07/27 09:18:42  marcus
- addedd pre/post ldconfig

Revision 1.3  2002/07/27 09:11:27  marcus
- fixed ac/am BR

Revision 1.2  2002/07/27 09:07:35  marcus
- adapterized, partially rewritten in PLD style, STBR
